#include <meshagent.h>

#include "stdloop.h"
#include "problem.h"


using namespace Gascoigne;



int main(int argc, char **argv)
{
  ParamFile paramfile("gascoigne.param");
  if(argc>=2) {
    paramfile.SetName(argv[1]);
  }


  ProblemDescriptor LPD;
  LPD.BasicInit(paramfile);

  ProblemContainer PC;
  PC.AddProblem("ConvDiff", &LPD);

  FunctionalContainer FC;

  StdLoop loop;
  loop.BasicInit(paramfile, &PC, &FC);
  loop.run("ConvDiff");

  return 0;
}
