#include "myequation.h"

#include <dataformathandler.h>
#include <filescanner.h>



void MyEquation::Form(VectorIterator b,
                      const FemFunction &U,
                      const TestFunction &N) const
{
    //Probelm 5.1: implement Form

    b[0] += U[0].x() * N.x() + U[0].y() * N.y();

}

void MyEquation::Matrix(EntryMatrix &A,
                      const FemFunction &U,
                      const TestFunction &M,
                      const TestFunction &N) const
{
    //Problem 5.1: implement matrix

    A(0, 0) += M.x() * N.x() + M.y() * N.y();
}


void MyEquation::point(double h, const FemFunction &U, const Vertex2d &v) const
{
    //Problem 5.2 Get local cell size h
}
